> ## Documentation Index
> Fetch the complete documentation index at: https://boosterberg.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Profile



## OpenAPI

````yaml POST /user/save
openapi: 3.0.0
info:
  title: Boosterberg API
  description: REST API For Boosterberg user-facing application
  contact:
    name: Miloslav Kona
    email: mkona@bykd.com
  version: '1.0'
servers:
  - url: https://api.boosterberg.com-beta.com/v1
    description: dev server
  - url: https://auto.boost.api/v1
    description: local
  - url: https://api.boosterberg.com/v1
    description: production
security: []
tags:
  - name: Posts
    description: Post lifecycle and evaluation data across all campaigns
paths:
  /user/save:
    post:
      summary: Update User Profile
      operationId: 029700526fb9619e5efe506c05ad214c
      requestBody:
        description: ''
        required: true
        content:
          application/json:
            schema:
              required:
                - email
              properties:
                email:
                  type: string
                phone_number:
                  type: string
                phone_country:
                  description: ISO country code for phone number
                  type: string
                password:
                  description: New password (min 8 characters)
                  type: string
              type: object
      responses:
        '200':
          description: Returns Boolean
          content:
            application/json:
              schema:
                properties:
                  result:
                    type: boolean
                  message:
                    type: string
                    example: Verification email has been sent.
                type: object
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      bearerFormat: JWT
      scheme: bearer

````